{
  "format_version": "1.10.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "oct_db:insulated_diamond_leggings",
      "item": {
        "oct_db:insulated_diamond_leggings": "query.is_owner_identifier_any('minecraft:player')"
      },
      "materials": {
        "insulation": "armor",
        "default": "armor",
        "enchanted": "armor_enchanted"
      },
      "textures": {
        "default": "textures/models/armor/diamond_2",
        "enchanted": "textures/misc/enchanted_actor_glint",
        "insulation": "textures/octovon/db/armor/insulation_2"
      },
      "geometry": {
        "default": "geometry.player.armor.leggings",
        "insulation": "geometry.oct_db.armor.insulation_leggings"
      },
      "scripts": {
        "parent_setup": "variable.leg_layer_visible = 0.0;",
        "animate": [
          "offset"
        ]
      },
      "animations": {
        "offset": "animation.armor.leggings.offset"
      },
      "render_controllers": [
        "controller.render.armor",
        "controller.render.oct_db.insulated_armor"
      ]
    }
  }
}